<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Atarapay\Escrow\Block\AtaraPay;
class InvoiceSuccess extends \Magento\Framework\View\Element\Template{
    protected $orderRepository;
    protected $renderer;
    protected $request;
    /**
     * Constructor
     * @param \Magento\Framework\View\Element\Template\Context  $context
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Magento\Sales\Api\OrderRepositoryInterface $orderRepository,
        \Magento\Sales\Model\Order\Address\Renderer $renderer,
        \Magento\Framework\App\RequestInterface $request,
        array $data = []
    ) {
        $this->orderRepository=$orderRepository;
        $this->renderer=$renderer;
        $this->request=$request;
        parent::__construct($context, $data);
    }
    public function getOrder() {
        if($this->request->getParam('order_id')):
            return $this->orderRepository->get($this->request->getParam('order_id'));
        endif;
        return false;
    }
    public function getFormatedAddress($address){
        return $this->renderer->format($address, 'html');
    }
    public function getPaymentMethodtitle($order){
        $payment = $order->getPayment();
        $method = $payment->getMethodInstance();
        return $method->getTitle();
    }
}