<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Atarapay\Escrow\Controller\AtaraPay;
use Magento\Sales\Api\OrderManagementInterface;
class CancelOrder extends \Magento\Framework\App\Action\Action{
    /**
     * @var OrderManagementInterface
     */
    protected $orderManagement;
    protected $resultPageFactory;
    /**
     * Constructor
     *
     * @param \Magento\Framework\App\Action\Context  $context
     * @param \Magento\Framework\View\Result\PageFactory $resultPageFactory
     */
    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        OrderManagementInterface $orderManagement
    ) {
        $this->resultPageFactory = $resultPageFactory;
        $this->orderManagement = $orderManagement;
        parent::__construct($context);
    }
    /**
     * Execute view action
     *
     * @return \Magento\Framework\Controller\ResultInterface
     */
    public function execute(){
        $resultRedirect = $this->resultRedirectFactory->create();
        $order_id=$this->getRequest()->getParam('order_id');
        try {
            if($order_id):
                $this->orderManagement->cancel($order_id);
                $this->messageManager->addSuccessMessage(__('You canceled the order.'));
            else:
                $this->messageManager->addErrorMessage(__('Please try again latter'));
            endif;
        } catch (\Magento\Framework\Exception\LocalizedException $e) {
            $this->messageManager->addErrorMessage($e->getMessage());
        } catch (\Exception $e) {
            $this->messageManager->addErrorMessage(__('You have not canceled the item.'));
            $this->_objectManager->get(\Psr\Log\LoggerInterface::class)->critical($e);
        }
        return $resultRedirect->setPath('atarapay/atarapay/success');
    }
}
