<?php
namespace Atarapay\Escrow\Model;
use Magento\Checkout\Model\ConfigProviderInterface;
/**
 * Class ConfigProvider
 */
class ConfigProvider implements ConfigProviderInterface{
    protected $_objectManager;
    protected $checkoutSession;
    protected $helper;
    public function __construct(\Magento\Checkout\Model\Session $checkoutSession,\Magento\Framework\ObjectManagerInterface $objectmanager,\Atarapay\Escrow\Helper\Data $helper) {
        $this->_checkoutSession = $checkoutSession;
        $this->_objectManager = $objectmanager;
        $this->helper=$helper;
    }
    /**
     * Retrieve assoc array of checkout configuration
     *
     * @return array
     */
    public function getConfig()
    {
        $items = $this->_checkoutSession->getQuote()->getAllVisibleItems();
        $sellerId = [];
        $multiple=true;
        if($this->helper->isMarketPlaceModuleInstalled()):
            foreach($items as $item) {
                $helper = $this->_objectManager->get('\Webkul\Marketplace\Helper\Data');
                $marketplaceProduct = $helper->getSellerProductDataByProductId($item->getProductId());
                foreach ($marketplaceProduct as $value) {
                    if (!in_array($value['seller_id'], $sellerId)){
                        $sellerId[] = $value['seller_id'];
                    }
                }
            }
        endif;
        if(count($sellerId)>1){
            $multiple=false;
        }
        return [
            'seller' => [
                'multiple' => $multiple,
            ],
        ];
    }
}